import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 计量单位信息维护
import measurementUnit from '../components/measurementUnit.vue'
// 能介大类信息维护
import energyMediumClass from '../components/energyMediumClass.vue'
// 能介信息维护
import energyMedium from '../components/energyMedium.vue'
// 能介价格维护
import energyPrice from '../components/energyPrice.vue'
// 工厂信息维护
import factoryInformation from '../components/factoryInformation.vue'
// 工序信息维护
import processInformation from '../components/processInformation.vue'
// 位置单元维护
import locationUnit from '../components/locationUnit.vue'
// 能源属性维护
import energyAttribute from '../components/energyAttribute.vue'
// 计量点信息维护
import measurementPlace from '../components/measurementPlace.vue'
// 站所信息维护
import siteInformation from '../components/siteInformation.vue'
// 时间粒度维护
import timeGranularity from '../components/timeGranularity.vue'
// 时间序列维护
import timeSeries from '../components/timeSeries.vue'
// 产品信息维护
import productInformation from '../components/configurationRelationship/productInformation.vue'
// 原材料信息维护
import rawMaterial from '../components/configurationRelationship/rawMaterial.vue'
// 工序与原材料关联
import processAndMaterial from '../components/configurationRelationship/processAndMaterial.vue'
// 实绩工序与产品关联
import processAndProduct from '../components/configurationRelationship/processAndProduct.vue'
// 计划工序与产品关联
import planProcessAndProduct from '../components/configurationRelationship/planProcessAndProduct.vue'
// 外供用电地点维护
import electricityLocation from '../components/electricityLocation.vue'
// 外供用电地点维护-分支
import electricityLocation2 from '../components/electricityLocation2.vue'
// 环保设施标准维护
import hbjkbz from '../components/hbjkbz.vue'
// 能源上报项目维护
import energyType from '../components/energyType'
// 指标用途维护
import indexItemType from '../components/indexItemType.vue'
// 公式维护
import equationMaintain from '../components/equationMaintain.vue'
// 能源监控实时标准
import nyjkbz from '../components/nyjkbz.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'measurementUnit'
        },
        children: [
            {
                path: 'measurementUnit',
                name: 'measurementUnit',
                component: measurementUnit
            },
            {
                path: 'energyMediumClass',
                name: 'energyMediumClass',
                component: energyMediumClass
            },
            {
                path: 'energyMedium',
                name: 'energyMedium',
                component: energyMedium
            },
            {
                path: 'energyPrice',
                name: 'energyPrice',
                component: energyPrice
            },
            {
                path: 'factoryInformation',
                name: 'factoryInformation',
                component: factoryInformation
            },
            {
                path: 'processInformation',
                name: 'processInformation',
                component: processInformation
            },
            {
                path: 'locationUnit',
                name: 'locationUnit',
                component: locationUnit
            },
            {
                path: 'energyAttribute',
                name: 'energyAttribute',
                component: energyAttribute
            },
            {
                path: 'measurementPlace',
                name: 'measurementPlace',
                component: measurementPlace
            },
            {
                path: 'siteInformation',
                name: 'siteInformation',
                component: siteInformation
            },
            {
                path: 'timeGranularity',
                name: 'timeGranularity',
                component: timeGranularity
            },
            {
                path: 'timeSeries',
                name: 'timeSeries',
                component: timeSeries
            },
            {
                path: 'electricityLocation',
                name: 'electricityLocation',
                component: electricityLocation
            },
            {
                path: 'electricityLocation2',
                name: 'electricityLocation2',
                component: electricityLocation2
            },
            {
                path: 'hbjkbz',
                name: 'hbjkbz',
                component: hbjkbz
            },
            {
                path: 'productInformation',
                name: 'productInformation',
                component: productInformation
            },
            {
                path: 'rawMaterial',
                name: 'rawMaterial',
                component: rawMaterial
            },
            {
                path: 'processAndMaterial',
                name: 'processAndMaterial',
                component: processAndMaterial
            },
            {
                path: 'processAndProduct',
                name: 'processAndProduct',
                component: processAndProduct
            },
            {
                path: 'planProcessAndProduct',
                name: 'planProcessAndProduct',
                component: planProcessAndProduct
            },
            {
                path: 'energytype',
                name: 'energytype',
                component: energyType
            },
            {
                path: 'indexItemType',
                name: 'indexItemType',
                component: indexItemType
            },
            {
                path: 'equationMaintain',
                name: 'equationMaintain',
                component: equationMaintain
            },
            {
                path: 'nyjkbz',
                name: 'nyjkbz',
                component: nyjkbz
            }
        ]
    }]
})
