import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 停复役单编制
import SSDCompile from '../components/startStopDocuments/SSDCompile.vue'
// 停复役单审批
import SSDApproval from '../components/startStopDocuments/SSDApproval.vue'
// 停复役单查询
import SSDQuery from '../components/startStopDocuments/SSDQuery.vue'
// 运方单编制
import PWODCompile from '../components/powerWaterOperationDocuments/PWODCompile.vue'
// 运方单签收
import PWODSignFor from '../components/powerWaterOperationDocuments/PWODSignFor.vue'
// 运方单执行
import PWODPerform from '../components/powerWaterOperationDocuments/PWODPerform.vue'
// 运方单查询
import PWODQuery from '../components/powerWaterOperationDocuments/PWODQuery.vue'
// 电力运方单编制
import EODCompile from '../components/electricityOperationDocuments/EODCompile.vue'
// 电力运方单签收
import EODSignFor from '../components/electricityOperationDocuments/EODSignFor.vue'
// 电力运方单执行
import EODPerform from '../components/electricityOperationDocuments/EODPerform.vue'
// 电力运方单查询
import EODQuery from '../components/electricityOperationDocuments/EODQuery.vue'
// 预案文档目录管理
import APDocumentDirectory from '../components/accidentPlan/APDocumentDirectory.vue'
// 预案文档管理
import APDocument from '../components/accidentPlan/APDocument.vue'
// 整改单编制
import rectificationCompile from '../components/rectificationPunishmentTube/rectificationCompile.vue'
// 整改单查询
import rectificationQuery from '../components/rectificationPunishmentTube/rectificationQuery.vue'
// 处罚单编制
import punishmentCompile from '../components/rectificationPunishmentTube/punishmentCompile.vue'
// 处罚单查询
import punishmentQuery from '../components/rectificationPunishmentTube/punishmentQuery.vue'
// 能源介质管网变更编制
import tubeCompile from '../components/rectificationPunishmentTube/tubeCompile.vue'
// 能源介质管网变更查询
import tubeQuery from '../components/rectificationPunishmentTube/tubeQuery.vue'
// 安全文件管理
import SecurityFile from '../components/securitys/SecurityFile.vue'
// 安全文件管理
import securitys from '../components/securitys/Securitys.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'SSDCompile'
        },
        children: [
            {
                path: 'SSDCompile',
                name: 'SSDCompile',
                component: SSDCompile
            },
            {
                path: 'SSDApproval',
                name: 'SSDApproval',
                component: SSDApproval
            },
            {
                path: 'SSDQuery',
                name: 'SSDQuery',
                component: SSDQuery
            },
            {
                path: 'PWODCompile',
                name: 'PWODCompile',
                component: PWODCompile
            },
            {
                path: 'PWODSignFor',
                name: 'PWODSignFor',
                component: PWODSignFor
            },
            {
                path: 'PWODPerform',
                name: 'PWODPerform',
                component: PWODPerform
            },
            {
                path: 'PWODQuery',
                name: 'PWODQuery',
                component: PWODQuery
            },
            {
                path: 'EODCompile',
                name: 'EODCompile',
                component: EODCompile
            },
            {
                path: 'EODSignFor',
                name: 'EODSignFor',
                component: EODSignFor
            },
            {
                path: 'EODPerform',
                name: 'EODPerform',
                component: EODPerform
            },
            {
                path: 'EODQuery',
                name: 'EODQuery',
                component: EODQuery
            },
            {
                path: 'APDocumentDirectory',
                name: 'APDocumentDirectory',
                component: APDocumentDirectory
            },
            {
                path: 'APDocument',
                name: 'APDocument',
                component: APDocument
            },
            {
                path: 'rectificationCompile',
                name: 'rectificationCompile',
                component: rectificationCompile
            },
            {
                path: 'rectificationQuery',
                name: 'rectificationQuery',
                component: rectificationQuery
            },
            {
                path: 'punishmentCompile',
                name: 'punishmentCompile',
                component: punishmentCompile
            },
            {
                path: 'punishmentQuery',
                name: 'punishmentQuery',
                component: punishmentQuery
            },
            {
                path: 'tubeCompile',
                name: 'tubeCompile',
                component: tubeCompile
            },
            {
                path: 'tubeQuery',
                name: 'tubeQuery',
                component: tubeQuery
            },
            {
                path: 'SecurityFile',
                name: 'SecurityFile',
                component: SecurityFile
            },
            {
                path: 'securitys',
                name: 'securitys',
                component: securitys
            }
        ]
    }]
})
